%define name pptp-adsl
%define version 1.0.2
%define release 9mdk

Summary: PPTP-linux VPN client ( Alcatel ADSL Modem )
Name: %{name}
Version: %{version}
Release: %{release}
License: GPL
Group: Networking/Other
Source: pptp-alcatel.tar.bz2
Patch: pptp-adsl-inet_aton.patch.bz2
URL: http://www.pdos.lcs.mit.edu/~cananian/Projects/PPTP/
Requires: ppp
Buildroot: %{_tmppath}/%{name}-buildroot
Conflicts: pptp-client
Obsoletes: pptp-adsl-fr 

%description
PPTP-linux allows you to connect to a PPTP server from a Linux or other
Unix box (ports of pptp-linuxto other Unix variants should be trivial,
but have not yet been performed). See the IPfwd page
(http://www.pdos.lcs.mit.edu/~cananian/Projects/IPfwd) for information
on tunnelling PPTP through Linux firewalls.

Included support for Alcatel ADSL Modem

%prep
rm -rf $RPM_BUILD_ROOT

%setup -n pptp

%patch -p1

%build

make all

%install
install -m 755 -d $RPM_BUILD_ROOT%{_bindir}
install -m 755 pptp $RPM_BUILD_ROOT%{_bindir}
install -m 755 server/pptp_server $RPM_BUILD_ROOT%{_bindir}
#install -m 755 pptp_callmgr $RPM_BUILD_ROOT/usr/bin


%files
%defattr (-,root,root)
%doc AUTHORS COPYING INSTALL NEWS README TODO USING Documentation/
%doc README.alcatel README2 ADSL.html Reference/ VERSION
%doc reconnect.sh
%{_bindir}/*

%changelog
* Mon Jul 30 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.0.2-9mdk
- rename pptp-adsl-fr to pptp-adsl since it's not only for France.
- obsoletes pptp-adsl-fr

* Fri Jul 27 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.0.2-8mdk
- rebuild

* Thu Nov 16 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.0.2-7mdk
- patch to make it works with gcc-2.96

* Tue Aug 29 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.0.2-6mdk 
- BM

* Tue Apr 11 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.0.2-5mdk
- add a reconnection script to include in crontab

* Thu Apr 06 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.0.2-4mdk
- fix doc

* Thu Mar 23 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.0.2-3mdk
- clean specfile
- fix group
- fix the docs

* Fri Jan 07 2000 Lenny Cartier <lenny@mandrakesoft.com>
- just change the name

* Thu Jan 06 2000 Lenny Cartier <lenny@mandrakesoft.com>
- fix buildroot
- add conflicts tag

* Fri Dec 31 1999 Philippe Libat <philippe@mandrakesoft.com>
- alcatel version

* Tue Oct 11 1999 Lenny Cartier <lenny@mandrakesoft.com>
- Specfile adaptations
